using RobotNet.WebApp.Charts.Models.Common;
using System.Text.Json.Serialization;

namespace RobotNet.WebApp.Charts.Models.PolarAreaChart;

public class PolarAreaChartOptions : ChartOptions
{
    public PolarAreaChartPlugins Plugins { get; set; } = new();

    [JsonIgnore(Condition = JsonIgnoreCondition.WhenWritingNull)]
    public new ArcAnimation? Animation { get; set; }
}
